#
# spec file for package yast2-add-on-creator (Version 2.15.23)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ConsoleKit PolicyKit aaa_base acl attr audit-libs autoconf automake bash binutils blocxx boost bzip2 coreutils cpio cpp cpp42 cracklib curl-ca-bundle cvs cyrus-sasl dbus-1 dbus-1-glib dejagnu desktop-translations diffutils dirmngr expect file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glib2 glibc glibc-devel glibc-locale gpg2 grep groff gzip hal hwinfo info insserv less libacl libattr libbz2-1 libbz2-devel libcurl4 libdb-4_5 libexpat1 libgcc42 libgcrypt libgomp42 libgpg-error libicu libidn libksba libltdl-3 libmudflap42 libnscd libopenssl0_9_8 libreadline5 libsmbios-libs libstdc++42 libtool libusb libuuid1 libvolume_id libxcrypt libxml2 liby2util libzio libzypp linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openldap2-client openssl openssl-certs pam pam-config pam-modules parted patch pcre perl perl-XML-Writer perl-base perl-gettext permissions pinentry pkg-config pmtools popt pth pwdutils rpm sed setserial sqlite sysvinit tar tcl texinfo timezone update-desktop-files util-linux xorg-x11-libX11 xorg-x11-libXau xorg-x11-libxcb yast2 yast2-core yast2-devtools yast2-hardware-detection yast2-perl-bindings yast2-pkg-bindings yast2-testsuite zlib

Name:           yast2-add-on-creator
Version:        2.15.23
Release:        0.1
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-add-on-creator-2.15.23.tar.bz2
Prefix:         /usr
Requires:       yast2
BuildRequires:  perl-XML-Writer update-desktop-files yast2 yast2-devtools yast2-testsuite
BuildArch:      noarch
Summary:        YaST2-  module for creating Add-On product

%description
A wizard for creating your own Add-On product



Authors:
--------
    Ji&#345; Suchomel <jsuchome@suse.cz>

%debug_package
%prep
%setup -n yast2-add-on-creator-2.15.23

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/add-on-creator
/usr/share/YaST2/include/add-on-creator/*
/usr/share/YaST2/clients/add-on-creator*.ycp
/usr/share/YaST2/modules/AddOnCreator.*
/usr/share/YaST2/modules/PackagesDescr.pm
%{prefix}/share/applications/YaST2/add-on-creator.desktop
#agents:
/usr/share/YaST2/scrconf/*.scr
/usr/lib/YaST2/servers_non_y2/ag_*
%doc %{prefix}/share/doc/packages/yast2-add-on-creator
%changelog
* Thu Oct 25 2007 - jsuchome@suse.cz
- gpg needs --batch parameter to run non-interactively (#336680)
- 2.15.23
* Mon Oct 01 2007 - jsuchome@suse.cz
- create patterns with correct key ordering (#328816)
- 2.15.22
* Fri Sep 14 2007 - jsuchome@suse.cz
- enable deleting of pattern keys (#297195)
- enable reading compressed metadata files
- 2.15.21
* Thu Aug 23 2007 - jsuchome@suse.cz
- copy packages with different architectures to correct
  directories (#302439)
- reset the settings after returning to the first step (#302407)
- 2.15.20
* Fri Aug 10 2007 - jsuchome@suse.cz
- licenses written to /license.tar.gz (F302018)
- enable adding EXTRA_PROV file
- CLI option for info.txt and EXTRA_PROV
- SHA1 sums of EXTRA_PROV, info.txt, license.tar.gz to content
- 2.15.19
* Tue Aug 07 2007 - jsuchome@suse.cz
- licenses of packages merged into EULA.txt (F302018)
- 2.15.18
* Mon Aug 06 2007 - jsuchome@suse.cz
- enable entering product name and version before content file
  dialog, so most of its mandatory keys can be filled
- 2.15.17
* Mon Aug 06 2007 - jsuchome@suse.cz
- command line option for packages resigning (#287447)
- 2.15.16
* Fri Aug 03 2007 - jsuchome@suse.cz
- do not require rpms for creating AddOn (#297165)
- password verification entry (#297168)
- new PackagesDescr.pm module instead of ag_packages_descr
  (Perl agent cannot handle large amount of data on input)
- during copying packages, copy whole directories to prevent too
  long line with bash command
- 2.15.15
* Thu Aug 02 2007 - jsuchome@suse.cz
- tag for suggested packages in pattern is Psg, not Prs
- licenses saved in /media.1/license directory and not compressed,
  license.txt duplicated as EULA.txt (F302018)
- added button for importing package license text
- 2.15.14
* Tue Jul 31 2007 - jsuchome@suse.cz
- offered SLE10SP1 products as a base for new AddOn
* Thu Jun 14 2007 - jsuchome@suse.cz
- enable resigning of the packages (#287447)
- checkbox for marking pattern as required (#224342)
- 2.15.13
* Fri Jun 08 2007 - jsuchome@suse.cz
- show ID for GPG key (#275885)
- 2.15.12
* Thu Jun 07 2007 - jsuchome@suse.cz
- fix installation of inst-source-utils in CLI mode (#281792)
- 2.15.11
* Wed May 30 2007 - jsuchome@suse.cz
- added support for source rpm's (#279004)
- 2.15.10
* Tue May 22 2007 - jsuchome@suse.cz
- enable rpm directory with .rpm extension (#276861)
- 2.15.9
* Mon May 21 2007 - jsuchome@suse.cz
- fixed signing content file (#275883)
- fixed exporting gpg key (#275900)
- 2.15.8
* Thu May 17 2007 - jsuchome@suse.cz
- clear pattern data map before importing next one (#273528)
- 2.15.7
* Wed May 02 2007 - jsuchome@suse.cz
- enable usage of spaces in output path
- 2.15.6
* Thu Apr 19 2007 - jsuchome@suse.cz
- tell GPG to not access tty (#266115)
- set reasonable default value for LABEL (#265493)
- 2.15.5
* Wed Apr 11 2007 - jsuchome@suse.cz
- really report error if gpg fails (#260588)
- added 'sign' command for CLI (F302049)
- 2.15.4
* Thu Apr 05 2007 - jsuchome@suse.cz
- added basic Export functionality to support calls from other
  modules (F301945)
- added command line interface (F302049)
- report error if gpg fails (#260588)
- 2.15.3
* Tue Mar 06 2007 - jsuchome@suse.cz
- do not allow special characters in pattern names (#251317)
- 2.15.2
* Mon Mar 05 2007 - jsuchome@suse.cz
- do not require autoyast2-utils, there is inst-source-utils (#250860)
- 2.15.1
* Wed Jan 31 2007 - jsuchome@suse.cz
- initial version for STABLE
- 2.15.0
* Tue Jan 30 2007 - jsuchome@suse.cz
- fixed pattern aggent to read language specific keys (#239828)
- do not sign theproduct when key was not provided (#238282)
- 2.13.11
* Thu Dec 14 2006 - jsuchome@suse.cz
- optimize the speed of reading package names (#220535)
- 2.13.10
* Wed Nov 15 2006 - jsuchome@suse.cz
- configure iso image file name (#220534)
- always generate ARCHIVES.gz, INDEX.gz and ls-lR.gz (#221220)
- offer additional path to packages for editing patterns (#220535)
- 2.13.9
* Mon Oct 23 2006 - jsuchome@suse.cz
- used existing yast-addon.png icon (#213875)
- 2.13.8
* Mon Oct 23 2006 - jsuchome@suse.cz
- support for generating servicepack.tar.gz
- import 'patches' file
- minor performance improvements
- fixed desktop file (#213878)
- 2.13.7
* Tue Oct 03 2006 - jsuchome@suse.cz
- merged proofread texts
- 2.13.6
* Wed Sep 20 2006 - jsuchome@suse.cz
- added generation of GPG keys
- 2.13.5
* Mon Sep 11 2006 - jsuchome@suse.cz
- removed SL10.1 from the list of offered products
- text fixes from rwalter@suse.de
- 2.13.4
* Thu Aug 24 2006 - jsuchome@suse.cz
- dialog configuration for workflow
- simple (=not bootable) ISO creating
- updated help texts
- 2.13.3
* Tue Aug 22 2006 - jsuchome@suse.cz
- added reading (importing) of media files (in media.n directories)
- 2.13.2
* Wed Aug 16 2006 - jsuchome@suse.cz
- removed agent for content file (already exists in yast2 package)
- 2.13.1
* Thu Aug 10 2006 - jsuchome@suse.cz
- initial version
